Skala
Product operation items

Replace a product operation item

Completely replaces the data of an existing product operation item with the provided payload.

PUT
/api/product_operation_items/{id}

Completely replaces the data of an existing product operation item with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

ProductOperationItem identifier

Request Body

application/json

The updated ProductOperationItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/product_operation_items/string" \  -H "Content-Type: application/json" \  -d '{    "operation": "/entity/1"  }'
{
  "id": 0,
  "operation": "/entity/1",
  "resource": "/entity/1",
  "cost": "string",
  "time": "string",
  "totalCost": "string",
  "productOperation": "/entity/1",
  "productOperationItemVariantOptions": [
    {}
  ],
  "isActive": true,
  "dependencies": [
    "/entity/1"
  ],
  "notes": "string"
}
Empty
Empty
Empty